## Use

### Installing

To install this library into your Angular project, just run the following command:

```
npm install @e-mine/ngx-input-mask --save
```

...and don't forget to import the library module into your Angular application module:

```typescript
import { InputMaskModule } from '@e-mine/ngx-input-mask';

@NgModule({
    imports: [
        InputMaskModule
    ]
})
export class SampleModule { }
```

### Masking your inputs

To mask any input, simply use the InputMaskDirective (using the "mask" attribute, in your HTML template) like the example below:

```html
<!-- ... -->
<input type="text" placeholder="Type your phone" mask="+99 999 999 999"></input>
<!-- ... -->
```
